using SportsDivision.Domain.Entities;
using SportsDivision.Domain.Enums;

namespace SportsDivision.Domain.Interfaces;

public interface ISchoolRepository : IRepository<School>
{
    Task<IEnumerable<School>> GetByZoneAsync(int zoneId);
    Task<IEnumerable<School>> GetBySchoolLevelAsync(SchoolLevel level);
    Task<School?> GetWithStudentsAsync(int schoolId);
}
